org.apache.sling.launchpad.installer.impl

## Class LaunchpadListener

- java.lang.Object
- - org.apache.sling.launchpad.installer.impl.LaunchpadListener

All Implemented Interfaces:
  org.apache.sling.installer.api.event.InstallationListener

    public class LaunchpadListener
    extends Object
    implements org.apache.sling.installer.api.event.InstallationListener

### Constructor Summary

Constructors
Constructor and Description
`LaunchpadListener(org.apache.sling.launchpad.api.StartupHandler startupHandler)`

### Method Summary

Methods
`void` `onEvent(org.apache.sling.installer.api.event.InstallationEvent event)`
`void` `start()` Suspend the startup handler (if not already done so)
`void` `stop()` Make sure the startup handler is not in suspended state

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LaunchpadListener

    public LaunchpadListener(org.apache.sling.launchpad.api.StartupHandler startupHandler)

### Method Detail

#### onEvent

    public void onEvent(org.apache.sling.installer.api.event.InstallationEvent event)

Specified by:
  `onEvent` in interface `org.apache.sling.installer.api.event.InstallationListener`
See Also:
  `InstallationListener.onEvent(org.apache.sling.installer.api.event.InstallationEvent)`

#### start

    public void start()

Suspend the startup handler (if not already done so)

#### stop

    public void stop()

Make sure the startup handler is not in suspended state